<div class="variants-wrapper">
  <div class="variant" [ngStyle]="styles" *ngFor="let variant of variants" [ngClass]="{current: variant.id === currentVariant}"
    (click)="makeChoice(variant.id)">
    {{variant.title}}</div>
</div>